<?php
############################################################################
# A Project of TNET Services, Inc. and Saratoga-Weather.org (V2/V3 template sets)
############################################################################
#
#   Project:    Sample Included Website Design
#   Module:     sample.php
#   Purpose:    Sample Page
#   Authors:    Kevin W. Reed <kreed@tnet.com>
#               TNET Services, Inc.
#
#   Copyright:  (c) 1992-2007 Copyright TNET Services, Inc.
############################################################################
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA
// Version 2.00 - 27-Nov-2013 - initial release of Global Map V2.00 with Google API V3
// Version 2.01 - 05-Jul-2016 - added support for required Google Browser JavaScript API key
############################################################################
#   This document uses Tab 4 Settings
############################################################################
require_once("Settings.php");
require_once("common.php");
if(!function_exists('langtransstr')) {
	// shim function if not running in multilingual template set
	function langtransstr($input) { return($input); }
}
if(!function_exists('langtrans')) {
	// shim function if not running in multilingual template set
	function langtrans($input) { echo $input; return($input); }
}
############################################################################
$TITLE= $SITE['organ'] . " - " .langtransstr("Global Stations Map");
$showGizmo = false;  // set to false to exclude the gizmo
$keywords = "World weather,Global weather, live, data";
include("top.php");
############################################################################
// Settings for global-map-inc.php
  $condIconsDir = './MESO-images/';  // relative directory for pin/cluster/conditions images
  $doLinkTarget = true; // =true to add target="_blank" to links in popups
  $netLinksPath = './';  // relative path for including the network links files from get-links.php
  //   units-of-measure defaults for display
  $gmTempUOM = 'F';   // units for Temperature ='C' or ='F';
  $gmWindUOM = 'mph'; // units for Wind Speed ='mph', ='km/h', ='m/s', ='kts'
  $gmBaroUOM = 'inHg';// units for Barometer ='inHg', ='hPa', ='mb'
  $gmRainUOM = 'in';  // units for Rain ='in', ='mm'
  //  Google map settings
  $gmMapCenter = '44.0,-106.8'; // latitude,longitude for initial map center display (decimal degrees)
  $gmMapZoom = 3; // initial map zoom level 1=world, 10=city;
  $gmMapType = 'TERRAIN'; // ='ROADMAP', ='TERRAIN', ='SATELLITE', ='HYBRID' for Google Map Type (ALL CAPS)
// As of 22-Jun-2016, you need a Google Browser JavaScript API KEY to run this script
//
//  Get the key from the Google console:
//  https://developers.google.com/maps/documentation/javascript/get-api-key
//
   $googleAPI = '-replace-this-with-your-API-key-here-'; 
//
// Note: if using the Saratoga template set, put a new entry in Settings.php
/*

$SITE['googleAPI'] = '-replace-this-with-your-API-key-here-';

*/
// and you won't need to change the $googleAPI value above 

//end settings
############################################################################
# DO NOT CHANGE THESE SETTINGS
$GoogleLang = array ( // ISO 639-1 2-character language abbreviations from country domain to Google usage
  'af' => 'af',
  'bg' => 'bg',
  'ct' => 'ca',
  'dk' => 'da',
  'nl' => 'nl',
  'en' => 'en',
  'fi' => 'fi',
  'fr' => 'fr',
  'de' => 'de',
  'el' => 'el',
  'ga' => 'ga',
  'it' => 'it',
  'he' => 'iw',
  'hu' => 'hu',
  'no' => 'no',
  'pl' => 'pl',
  'pt' => 'pt',
  'ro' => 'ro',
  'es' => 'es',
  'se' => 'sv',
  'si' => 'sl',
);

?>
<meta http-equiv="Pragma" content="no-cache" />
<meta http-equiv="Cache-Control" content="no-cache" />
<?php $Lang = 'en';
if(isset($GoogleLang[$SITE['lang']])) {
	$Lang = $GoogleLang[$SITE['lang']];
	echo "<!-- lang=".$SITE['lang']." used - Google Lang=$Lang -->\n";
}
if (isset($SITE['googleAPI'])) {$googleAPI = $SITE['googleAPI']; }
?>
<script src="global-conditions-json.php" type="text/javascript"></script>
<script src="global-map.js" type="text/javascript"></script>
<link rel="stylesheet" type="text/css" href="global-map.css" media="screen" />
</head>
<body>
<?php
############################################################################
include("header.php");
############################################################################
include("menubar.php");
############################################################################
?>

<div id="main-copy">

<?php
  if(file_exists("global-map-inc.php")) { 
    include_once("global-map-inc.php"); 
  } else {
	print "<p>Sorry. The Global map is not currently available.</p>\n";  
  }
?>

</div><!-- end main-copy -->
    <script src="https://maps.googleapis.com/maps/api/js?key=<?php echo $googleAPI;?>&amp;callback=initialize&amp;language=<?php print $Lang; ?>" type="text/javascript"></script>

<?php
############################################################################
include("footer.php");
############################################################################
# End of Page
############################################################################
?>
